Bug Hunting Session
Bug 44463 - FILEASSOC Uninstalling Libreoffice removes Microsoft Office file associations
Summary: FILEASSOC Uninstalling Libreoffice removes Microsoft Office file associations
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: x86-64 (AMD64) Windows (All)
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Installer-Windows
  Show dependency treegraph
 
Reported: 2012-01-04 12:56 UTC by Charles
Modified: 2018-10-06 22:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Charles 2012-01-04 12:56:29 UTC
Hello,

I just nailed down a bug that has been driving me crazy...

I was having a problem where sometimes, but not every time, when I uninstalled Libreoffice on a system that had Microsoft Office installed too, and the Microsoft Office (MSO) file types were associated with MSO, uninstalling Libreoffice (I always uninstall an older version before installing a newer version) would cause MSO to lose all of its file associations.

I finally figured out when it would occur...

If a system does *not* have MSO installed when Libreoffice is installed, and Libreoffice is told to take over the MSO file associations, then *later*, MSO is installed and takes over its file associations, if you then uninstall Libreoffice, it will remove the MSO file associations from MSO.

If, however, Libreoffice is installed *after* MSO, and is told to *not* take over the MSO file associations, uninstalling Libreoffice will *not* cause MSO to lose its file associations.

I hope this was clear.
Comment 1 Charles 2012-01-04 12:59:35 UTC
Just before this I also added another bug/enhancement request for a proper 'File Associations Manager', to provide a way to control these file associations (and change/reset them if desired without having to re-run the full installer), if anyone is interested...

https://bugs.freedesktop.org/show_bug.cgi?id=44462
Comment 2 Marco Ciampa 2012-11-18 20:33:43 UTC
Please to consider this bug much more important than it seems and to rise its importance consequently. It is not a blocker but ... almost, for these reasons:

1) it happens much more frequently (for me 100% ratio) if you, after un install,  _upgrade_ a LibO installation on a dual Office (Microsoft & LibreOffice) system.

2) it cause the damaging of the Microsoft Office installation that, for repairing, needs a total repair or reinstall of the Microsoft Office itself.

This is a real BAD PUBLICITY for all users that tests LibreOffice. It is really a pain for the professional that have to do a dual installation whenever it wants to upgrade LibO and it is even worse for the home / casual user since it usually do not have the skill (or the disks) to repair / reinstall MSO causing that usually it will _never_ try LibO again considering it a dangerous product...

3) it is a longstanding bug that affect all the 3.4, 3.5 and 3.6 (still present in version 3.6.4 ...) series and it is simply time to have it fixed! ... I suggest to provide a patch (quick & dirty) and do not wait more for the mythical FAM being ready for production...

Thank you!
Comment 3 Marco Ciampa 2012-12-06 10:46:59 UTC
Perhaps I have an answer to the apparently strange and random behaviour I've observed. If I have installed Microsoft Office but, for some reason, I haven't used it _yet_ or not used yet with the user (I do not know which of the two actions is acting here) that I use for both Microsoft and Libre Office install, then the LibO installer/uninstaller do not see any MSO associations which are present as system but currently not as the current user, -or- not present yet and configured just by the first run of the current user (again I do not know which action it follows here), and take precendence.

May be an explanation? If yes it could be without any real solution ... but we can find out just a "best way to do it" inserted in the i.e. FAQ or INSTALL or the manual or somewherelse that could be very useful for system administrators like me or for an help for massive installs help for i.e. P.A.s ...
Something like:
1) Install MSO
2) _RUN_ it as administrator
3) _then_ install/unistall/upgrade LibO

Comments?
Comment 4 QA Administrators 2015-01-05 17:51:34 UTC Comment hidden (obsolete)
Comment 5 JHosier 2015-02-11 09:00:55 UTC
First-time poster on here :-)

Hi Guys

In response to the Administrator comment I would like to confirm that this bug appears to still be happening.
I am an IT administrator for a school and I am pleased to say that we primarily use LibreOffice throughout our school and have done so for years. However, the staff here also use Microsoft Office as they cannot cope without it :-s
The bug that I always notice is that when installing LibreOffice it steals the file associations for files which were currently set to Microsoft Office. In my opinion this does not seem to be dependent on version of libreoffice or Microsoft Office as I have noticed that it has happened virtually everytime I have installed or upgraded LibreOffice on staff machines in the past for years.
To be specific in this case for testing purposes I will explain what I can do to replicate the bug.
As I never trust LibreOffice to not steal the file associations, when setting up for the first time a new Windows 7 x64 I always install LibreOffice first, then Microsoft Office 2013 Professional Plus afterwards. The problem occurs when I need to update the LibreOffice version. I always uninstall LibreOffice first, then re-install the latest version, in this case 4.4.0.3 release. This then steals the file associations for .xls, .xlsm, xlsx, ppt, pptx. Strangely though in this current permuatation .doc and .docx file remain associated with MSO 2013.
This occurs even though during the installation I untick all of the boxes on the file association page of the installation in the vain hope that it does not steal the associations.

I should like to echo the comments that we need this fixing like years ago!
I should like to vote in favour of what Charles said about having a proper 'File Associations Manager' as having to remove LibreOffice theninstalling the latest version, then repairing MSO 2013, then patching MSO 2013 just to get the latest version of LibreOffice is simply beyond frustrating.
Comment 6 QA Administrators 2016-02-21 08:35:41 UTC Comment hidden (obsolete)
Comment 7 JHosier 2016-02-22 10:30:11 UTC
As nobody will read this post, I shall begin it in the necessary way...

Dear Myself :-)

So this morning I got an email triggered by the QA Administrators post.
It reminded me that 12 months ago I posted on this forum to update this ticket with the necessary details in an attempt to keep this bug alive as it was still a problem. This was then promptly ignored for twelve months and another post has now been placed on the ticket in the hopes that by ignoring the problem completely the bug would have mysteriously fixed itself :-)

I am not exactly sure what the point of this forum even is as the level of support on here is somewhat lacking.

To summarise the bug so far...
Charles posts a well written bug after a good degree of testing and suggests a way to reproduce it.
Months later Marco reconfirms it.
3 years later nothing has been done about it and no further posts are made.
In an obvious attempt to close the ticket down due to non-activity the QA Administrators request that we re-test their software and hope for the best that it has been fixed.
When this fails and I reply to the ticket, this is then ignored for another 12 months and queue the next attempt to close the ticket due to inactivity.
Might I suggest that the next step is taken by an administrator to actually, I don't know, test the bug!

Just a thought.

Dear Myself in 12 months time, welcome back to this inactive bug :-)
Comment 8 QA Administrators 2017-03-06 15:20:09 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306